{% set CodiceModulo = "SEG_DIS_ODORI" %}
{% set Urn = "document:c_e216:segnalazione.disturbo.odori.fumi.molesti" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
}
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn=""
sub_urn_list=""
uo_globo_list=""
descrizione="Segnalazione di un disturbo da odori o fumi molesti"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.0|23/04/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmatari="Titolare_CodiceFiscale"
firmatari_label="il dichiarante"
firmato="NO"
name="GLOBO_allegato"
numero="0"
dimensione_massima="15"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Segnalazione di un disturbo da odori o fumi molesti {% endblock title %}

{% block content %}

<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - segnalazione di un disturbo da odori o fumi molesti'"/>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<div class="container">
  <div class="title-1"> Segnalazione di un disturbo da odori o fumi molesti </div>
</div>

<!-- Per il precaricamento del profilo utente settare campi_readonly = 'readonly'
     Nelle anagrafiche del minore settare onceonly = 'true' -->
<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Titolare", 
                              intestazione="Il sottoscritto", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="visibility:visibility", 
                              visibility_mail="mail_ordinaria", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              campi_readonly="readonly", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility", 
                              onceonly="false")}}
                              
<div class="container border bg-light">
  {% set testi = [
    "in nome proprio",
    "in qualità di amministratore del condominio situato in"
  ]%}
  {% for testo in testi %}
  <div class="form-check indent-1">
    {% if loop.first %} <div id="Tassonomia_Ruolo" name="Tassonomia_Ruolo" label="Ruolo" mandatory_enabled="true"></div>{% endif %}
    <input class="form-check-input" id="Tassonomia_Ruolo{{ loop.index }}" name="Tassonomia_Ruolo" type="radio" value="{{ loop.index }}">
    <label class="form-check-label text-justify" for="Tassonomia_Ruolo{{ loop.index }}"> {{ testo|safe }} </label>
  </div>
  {% if loop.last %}
    <div class="form-check indent-1">
      <div class="form-row" mandatory_enabled="#Tassonomia_Ruolo2.checked()">
        <div class="form-group col-lg-10">
          <label for="Parametri_ViaPiazza"> Via / piazza </label>
          <input class="form-control" id="Parametri_ViaPiazza" name="Parametri_ViaPiazza" label="Via / piazza">
        </div>
        <div class="form-group col-lg-2">
          <label for="Parametri_Civico"> Numero </label>
          <input class="form-control" id="Parametri_Civico" name="Parametri_Civico" label="Numero">
        </div>
      </div>
    </div>
  {% endif %}
  {% endfor %}
  <div class="form-row ml-0 mr-0">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" id="Tassonomia_Ruolo3" name="Tassonomia_Ruolo" type="radio" value="3">
      <label class="form-check-label text-justify" for="Tassonomia_Ruolo3"> altro <span class="infoes"> (specificare) </span></label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" type="text" id="Tassonomia_Ruolo3_Altro" name="Tassonomia_Ruolo3_Altro" label="Altro" mandatory_enabled="#Tassonomia_Ruolo3.checked()">
    </div>
  </div>
</div>

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}

<div class="container">
  <div class="title-3"> SEGNALA </div>
  <div class="paragraph text-justify"> un disturbo da odori molesti </div>
</div>

<div class="container border bg-light">
  <div class="form-row" mandatory_enabled="true">
    <div class="form-group col-lg-12">
      <label for="Parametri_Tipologia"> Causato da <div class="space-0"></div><span class="infoes"> (descrivere in maniera dettagliata la fonte presunta da cui proviene il disturbo odorigeno.  Indicare, se conosciuti, il nome o la ragione sociale della persona o dell’attività che si presume possa avere originato o sviluppato l’inquinamento o il disturbo) </span> </label>
      <textarea class="form-control" id="Parametri_Tipologia" name="Parametri_Tipologia" label="Causato da"></textarea>
    </div>
    <div class="form-group col-lg-12">
      <label for=""> Situato in </label>
    </div>
  </div>
  {{ immobili.immobile_toponomastica_senzavalidazione_indentato_responsive(prefix="Immobile", 
                                                             mandatory_enabled="true", 
                                                             label="", 
                                                             enabled="true", 
                                                             suffix="", 
                                                             visibility_info="false") }}                                                           
</div>

<globo_salto_pagina></globo_salto_pagina>


<div class="container border bg-light">
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for=""> Periodo in cui è indicata la molestia odorigena </label>
    </div>
  </div>
  {% set testi = [
    "data odierna",
    "una settimana fa",
    "un mese fa"
  ]%}
  {% for testo in testi %}
  <div class="form-check indent-1">
    {% if loop.first %} <div id="Tassonomia_PeriodoMolestia" name="Tassonomia_PeriodoMolestia" label="Periodo in cui è indicata la molestia odorigena" mandatory_enabled="true"></div>{% endif %}
    <input class="form-check-input" id="Tassonomia_PeriodoMolestia{{ loop.index }}" name="Tassonomia_PeriodoMolestia" type="radio" value="{{ loop.index }}">
    <label class="form-check-label text-justify" for="Tassonomia_PeriodoMolestia{{ loop.index }}"> {{ testo|safe }} </label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" id="Tassonomia_PeriodoMolestia4" name="Tassonomia_PeriodoMolestia" type="radio" value="4">
      <label class="form-check-label text-justify" for="Tassonomia_PeriodoMolestia4"> altro <span class="infoes"> (specificare) </span></label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" type="text" id="Tassonomia_PeriodoMolestia4_note" name="Tassonomia_PeriodoMolestia4_note" label="Altro" mandatory_enabled="#Tassonomia_PeriodoMolestia4.checked()">
    </div>
  </div>
</div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> frequenza della molestia odorigena (giorni e orari) </span>
    </div>
    <div class="form-group col-lg-12">
      <label for=""> Giorni </label>
    </div>
  </div>
  <div class="form-check indent-1">
    <div id="Tassonomia_Giorni" name="Tassonomia_Giorni" label="Giorni" mandatory_enabled="true"></div>
    <input class="form-check-input" id="Tassonomia_Giorni1" name="Tassonomia_Giorni" type="radio" value="1">
    <label class="form-check-label text-justify" for="Tassonomia_Giorni1"> tutti i giorni della settimana </label>
  </div>
  <div class="form-row ml-0 mr-0">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" id="Tassonomia_Giorni2" name="Tassonomia_Giorni" type="radio" value="2">
      <label class="form-check-label text-justify" for="Tassonomia_Giorni2"> altro <span class="infoes"> (specificare) </span></label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" type="text" id="Tassonomia_Giorni2_Note" name="Tassonomia_Giorni2_Note" label="Altro" mandatory_enabled="#Tassonomia_Giorni2.checked()">
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-lg-12">
        <label for=""> Orari </label>
    </div>
  </div>
  {% set testi = [
    "mattino (06:00 – 12:00)",
    "pomeriggio (12:00 – 18:00)",
    "sera (18:00 – 22:00)",
    "notte (22:00 – 06:00)"
  ]%}
  {% for testo in testi %}
  <div class="form-check indent-1">
    {% if loop.first %} <div id="Tassonomia_Orari" name="Tassonomia_Orari" label="Orari" mandatory_enabled="true"></div>{% endif %}
    <input class="form-check-input" group="Tassonomia_Orari" id="Tassonomia_Orari{{ loop.index }}" name="Tassonomia_Orari{{ loop.index }}" type="checkbox" value="SI">
    <label class="form-check-label text-justify" for="Tassonomia_Orari{{ loop.index }}"> {{ testo|safe }} </label>
  </div>
  {% endfor %}
</div>

<div class="container border bg-light">
  <div class="form-row" mandatory_enabled="true">
    <div class="form-group col-lg-12">
      <label for="Parametri_TipoOdore"> Tipologia dell’odore <span class="infoes"> (descrivere in maniera dettagliata la tipologia di odore molesto percepito) </span> </label>
      <textarea class="form-control" id="Parametri_TipoOdore" name="Parametri_TipoOdore" label="Tipologia dell’odore"></textarea>
    </div>
    <div class="form-group col-lg-12">
      <label for=""> Intensità dell’odore </label>
    </div>
  </div>
  {% set testi = [
    "lievemente percepibile",
    "fortemente percepibile",
    "insopportabile"
  ]%}
  {% for testo in testi %}
  <div class="form-check indent-1">
    {% if loop.first %} <div id="Tassonomia_OdoreIntenso" name="Tassonomia_OdoreIntenso" label="Odore Intensità" mandatory_enabled="true"></div>{% endif %}
    <input class="form-check-input" id="Tassonomia_OdoreIntenso{{ loop.index }}" name="Tassonomia_OdoreIntenso" type="radio" value="{{ loop.index }}">
    <label class="form-check-label text-justify" for="Tassonomia_OdoreIntenso{{ loop.index }}"> {{ testo|safe }} </label>
  </div>
  {% endfor %}
</div>

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> dichiarazione di disponibilità a far eseguire i rilievi </span>
    </div>
    <div class="col-lg-12">
      <label for=""> gli eventuali rilievi potranno essere eseguiti presso l'abitazione di </label>
    </div>
  </div>
  <input id="AventeTitolo_Titolo" name="AventeTitolo_Titolo" type="hidden" value="Richiedente"/>
  <input id="AventeTitolo_Ruolo" name="AventeTitolo_Ruolo" type="hidden" value="Richiedente"/>
  {{ anagrafica.persona_fisica_indentata_responsive(prefix='AventeTitolo', 
                                         intestazione="", 
                                         mandatory_enabled="", 
                                         visibility_intestazione="display:none", 
                                         visibility_residenza="visibility:visibility", 
                                         visibility_mail="mail_ordinaria", 
                                         cf_obbligatorio="true", 
                                         pec_obbligatoria ="false", 
                                         mailordinaria_obbligatoria="false", 
                                         visibility_domicilio="display:none", 
                                         visibility_datanascita="visibility:visibility", 
                                         style_border="", 
                                         onceonly="false")}}
    <div class="form-row" >
      <div class="form-group col-lg-12">
        <label for="Parametri_OrarioContattato"> Orario in cui essere contattato </label>
        <input class="form-control" id="Parametri_OrarioContattato" name="Parametri_OrarioContattato" label="Orario in cui essere contattato">
      </div>
    </div>                                         
</div>

{{ utils.Dichiara_445() }}

<globo_salto_pagina></globo_salto_pagina>

<div class="container border bg-light">
  {% set testi = [
    "di NON consentire l’accesso nell’immobile al personale degli enti competenti (Comune di Grugliasco, ARPA Piemonte, ASL TO3, etc.) per l’esecuzione di eventuali accertamenti in loco",
    "di consentire l’accesso nell’immobile al personale degli enti competenti (Comune di Grugliasco, ARPA Piemonte, ASL TO3, etc.) per l’esecuzione di eventuali accertamenti in loco"
  ]%}
  {% for testo in testi %}
  <div class="form-check indent-1">
    {% if loop.first %} <div id="Tassonomia_TecniciArpa" name="Tassonomia_TecniciArpa" label="Tecnici ARPA" mandatory_enabled="true"></div>{% endif %}
    <input class="form-check-input" id="Tassonomia_TecniciArpa{{ loop.index }}" name="Tassonomia_TecniciArpa" type="radio" value="{{ loop.index }}">
    <label class="form-check-label text-justify" for="Tassonomia_TecniciArpa{{ loop.index }}"> {{ testo|safe }} </label>
  </div>
  {% endfor %}
  <div class="form-check indent-1">
    {{ immobili.immobile_toponomastica_senzavalidazione_indentato_responsive(prefix="Immobile2", 
                                                               mandatory_enabled="#Tassonomia_TecniciArpa2.checked()", 
                                                               label="", 
                                                               enabled="true", 
                                                               suffix="", 
                                                               visibility_info="false") }}                                                              
  </div>
  {% set testi = [
    "in qualità di proprietario dell’immobile",
    "in qualità di inquilino dell’immobile",
    "in qualità di amministratore del condominio"
  ]%}
  {% for testo in testi %}
  <div class="form-check indent-2">
    {% if loop.first %} <div id="Tassonomia_Imm" name="Tassonomia_Imm" label="Immobile Ruolo" mandatory_enabled="#Tassonomia_TecniciArpa2.checked()"></div>{% endif %}
    <input class="form-check-input" id="Tassonomia_Imm{{ loop.index }}" name="Tassonomia_Imm" type="radio" value="{{ loop.index }}">
    <label class="form-check-label text-justify" for="Tassonomia_Imm{{ loop.index }}"> {{ testo|safe }} </label>
  </div>
  {% endfor %} 
  <div class="form-row ml-0 mr-0">
    <div class="form-check indent-2 col-lg-2">
      <input class="form-check-input" id="Tassonomia_Imm4" name="Tassonomia_Imm" type="radio" value="4">
      <label class="form-check-label text-justify" for="Tassonomia_Imm4"> altro <span class="infoes"> (specificare) </span></label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" type="text" id="Tassonomia_Imm4_note" name="Tassonomia_Imm4_note" label="Altro" mandatory_enabled="#Tassonomia_Imm4.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label text-justify" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span></label>{% endif %}
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label text-justify" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" type="text" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

<globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="3">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" type="hidden" value="" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''"/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}